FreeMat

- Main Page
- Related Pages

SOURCE Execute an Arbitrary File

Section: FreeMat Functions

# Usage

The `source` function executes the contents of the given filename one line at a time (as if it had been typed at the `–>` prompt). The `source` function syntax is

      source(filename)

where `filename` is a `string` containing the name of the file to process.

# Example

First, we write some commands to a file (note that it does not end in the usual `.m` extension):

         source_test

    a = 32;
    b = a;
    printf('a is %d and b is %d\n',a,b);

Now we source the resulting file.

    --> clear a b
    --> source source_test
    a is 32 and b is 32